<%@ Page Language="c#" AutoEventWireup="False" CodeBehind="LanguageManagerConfiguration.aspx.cs"
    Inherits="EPiServer.Labs.LanguageManager.Views.Settings.LanguageManagerConfiguration, EPiServer.Labs.LanguageManager" Title="EPiServer LanguageManager Add-on" %>

<%@ Import Namespace="EPiServer" %>
<%@ Register Assembly="EPiServer.UI" Namespace="EPiServer.UI.WebControls" TagPrefix="EPiServerUI" %>

<asp:content contentplaceholderid="HeaderContentRegion" runat="server">
</asp:content>

<asp:content contentplaceholderid="FullRegion" runat="server">

    <div class="epi-contentContainer epi-padding">
        <div class="epi-contentArea">
            <h1 class="EP-prefix">
                <%= Translate("/languagemanager/admin/displayname")%>
            </h1>
            <asp:Panel ID="ConnectionNote" runat="server" />
            <asp:ValidationSummary runat="server" CssClass="EP-validationSummary" />
            <asp:Panel ID="MessagePanel" runat="server" Visible="false" />
        </div>
               
        <asp:Panel runat="server" class="epi-formArea">
            <p><%= Translate("/languagemanager/settingview/subtitle") %></p>
            <fieldset>
                <legend><%= Translate("/languagemanager/settingview/providersettings") %></legend>
                <div class="epi-size15">
                    <asp:Label AssociatedControlID="ProviderTypeNameCtrl" runat="server"><%# Translate("/languagemanager/settingview/translatorprovider") %></asp:Label>                
                    <asp:DropDownList CssClass="form-control" ID="ProviderTypeNameCtrl" runat="server" />
                </div>
                <div class="epi-size15">
                    <asp:Label AssociatedControlID="SubscriptionKeyCtrl" runat="server"><%# Translate("/languagemanager/settingview/subscriptionkey") %></asp:Label>                
                    <asp:Textbox CssClass="form-control" ID="SubscriptionKeyCtrl" runat="server" />
                </div>                
            </fieldset>

            <fieldset>
                <legend><%= Translate("/languagemanager/admin/notificationprovider/description")%></legend>                
                <div class="epi-size15">
                    <asp:Label AssociatedControlID="NotificationProviderTypeNameCtrl" runat="server"><%# Translate("/languagemanager/admin/notificationprovider/type") %></asp:Label>                
                    <asp:DropDownList CssClass="form-control" ID="NotificationProviderTypeNameCtrl" runat="server" />
                </div>    
            </fieldset> 

            <fieldset>
                <legend><%= Translate("/languagemanager/settingview/othersettings") %></legend>
                
                <div class="epi-size15">
                    <div>
                        <asp:Label AssociatedControlID="TranslatorFolderCtrl" runat="server"><%# Translate("/languagemanager/settingview/translationfolder") %></asp:Label>                
                        <asp:Textbox CssClass="form-control" ID="TranslatorFolderCtrl" runat="server" />
                    </div>
                    <p><%= Translate("/languagemanager/settingview/translationfolderdesc") %></p>
                </div>
            </fieldset>
                

            <div class="epi-buttonContainer">
                <EPiServerUI:ToolButton runat="server" SkinID="Save" ID="Save" OnClick="Save_Click"
                     Text="<%$ Resources: EPiServer, languagemanager.admin.save %>" />
            </div>
        </asp:Panel>
    </div>
</asp:content>
